/* -----------------------------------------------------------------------------
  General
----------------------------------------------------------------------------- */
html, body, .container {
  height: 100%;
}
html {
  background-image: url('../img/bg_white.jpg');
  background-size: cover;
}
body {
  background: rgba(0,0,0,0);
}
.container {
  max-width: 100%;
}
.main {
  margin-bottom: 40px;
  height: 90%;
  display: flex;
  position: relative;
  padding-top: 20px;
}
.main .anchor_destination {
  position: absolute;
  top: -80px;
}

/* Heading */
h1 {
  text-align: center;
  margin-bottom: 0;
}
h2 {
  padding-top: 10px;
  margin-top: 0;
}

/* Button */
button {
  cursor: pointer;
  width: 100px;
  height: 40px;
  padding: 5px;
  box-shadow: 0px 5px 5px #888888;
  transition: box-shadow .1s;
  color: #eee;
  border: 2px solid #222;
  background-color: #222;
  font-size: 110%;
  -webkit-transition: all .1s;
  -moz-transition: all .1s;
  transition: all .1s;
}
button:hover {
  box-shadow: 0px 1px 5px #888888;
}
button:hover {
  background-color: rgba(111, 111, 111, 0.5) !important;
}
.col {
  height: 100%;
}

/* Anchors */
ul.anchors {
  margin: 0 auto;
  list-style: none;
  text-align: center;
}
ul.anchors li {
  display: inline-block;
  height: 20px;
  width: 100px;
}
ul.anchors li:not(:last-child) {
  margin-right: 10px;
}
ul.anchors li a {
  display: block;
  border: 2px solid #eee;
  color: #eee;
  font-size: 175%;
  padding: 7px 10px 2px 10px;
  -webkit-transition: 0.3s ease;
  -moz-transition: 0.3s ease;
  transition: 0.3s ease;
}
ul.anchors li a:hover {
  background-color: #eee;
  text-decoration: none;
  color: #222;
}

/* Section */
.section {
  width: 100%;
  height: 95%;
  padding: 10px;
  box-shadow: 0px 5px 5px #888888;
  border: 3px solid #222;
  background-color: rgba(255,255,255,0.5);
}
.section_header, .section_footer {
  text-align: center;
}
.section_header {
  position: absolute;
  top: -50px;
  left: 20px;
}
.section_footer {
  height: 50px;
}
.section_content {
  padding-top: 10px;
  height: calc(100% - 50px);
  position: relative;
}
.subsection {
  padding-bottom: 10px;
  margin-bottom: 10px;
  min-height: 50px;
}
.canvas {
  list-style: none;
  padding: 10px;
  margin: 0;
  overflow: auto;
  font-size: 110%;
  border: 2px solid #222;
  background-color: rgba(255,255,255,0.5);
  height: 98%;
}
.legend {
  padding: 5px 10px;
}
.selected {
  background: rgba(2, 117, 216, 0.3);
}
.center {
  text-align: center;
}

/* Input */
input, textarea, select {
  background: none;
  border: 2px solid #222;
  font-size: 140%;
  background-color: rgba(255,255,255,0.5);
  height: 40px;
  padding: 0 5px;
}
